Apigee Hybrid 支持的平台和版本

使用集合让一切井井有条 根据您的偏好保存内容并对其进行分类。

支持的平台

Apigee Hybrid 支持以下版本的平台:

Apigee Hybrid 版本

平台

1.5(7) 1.6(7) 1.7 1.8
Anthos(3) (Google Cloud) 1.18.x
1.19.x
1.19.x
1.20.x
1.21.x
1.20.x
1.21.x
1.22.x(6)
1.23.x(6)
1.21.x
1.22.x
1.23.x
Anthos(1) (3) (AWS) 1.6.x
1.7.x
1.8.x
1.7.x
1.8.x
1.9.3+
1.10.x
1.9.x
1.10.x
1.10.x
1.11.x
Anthos(1) (3) (Azure) 不适用 1.8.x 1.9.x
1.10.x
1.10.x
1.11.x
Anthos(1) (3)(本地 - VMware) 1.6.x
1.7.x
1.8.x
1.7.x
1.8.x
1.9.3+
1.10.x
1.9.x
1.10.x
1.11.x(6)
1.10.x
1.11.x
1.12.x
Anthos(1) (3) (Bare Metal) 1.6.x
1.7.x
1.7.x
1.8.2+
1.9.3+
1.10.x
1.9.x
1.10.x
1.11.x(6)
1.10.x
1.11.x
1.12.x
Anthos(3)(使用 Anthos 关联集群的 EKS 上的多云环境) 1.18.x
1.19.x
1.19.x
1.20.x
1.21.x
1.21.x
1.22.x(6)
1.23.x(6)
1.22.x
1.23.x
Anthos(3)(使用 Anthos 关联集群的 AKS 上的多云环境) 1.18.x
1.19.x
1.19.x
1.20.x
1.21.x
1.21.x
1.22.x(6)
1.23.x(6)
1.22.x
1.23.x
Anthos(3)(使用 Anthos 关联集群的 OpenShift 上的多云环境) 4.5
4.6
4.7
4.6
4.7
4.8
4.7
4.8
4.8
4.9
4.10
Anthos(3)(使用 Anthos 关联集群的 Konvoy 上的多云环境) 1.7.x 1.7.x 不适用 不适用

组件

1.5 1.6 1.7 1.8
Anthos Service Mesh (ASM)(2) 1.7.x
1.8.x
1.9.x
1.12.x(4)
1.9.x
1.10.x
1.12.x(5)
1.10.x
1.11.x
1.12.x
1.13.x(6)
1.11.x
1.12.x
1.13.x
JDK JDK 11 JDK 11 JDK 11 JDK 11
cert-manager 1.2.0 1.5.4 1.7.x 1.7.x
Cassandra 3.11.6 3.11.6 3.11.9 3.11.9

(1) 在 Anthos 1.8.2 及更高版本中,请按照这些文档中的说明操作,以避免与 cert-manager 发生冲突

(2) 仅安装受支持的 ASM 版本

(3) 仅安装受支持的 Anthos 版本

(4) Apigee Hybrid 1.5.9 版及更高版本提供支持

(5) Apigee Hybrid 1.6.6 版及更高版本提供支持

(6) Apigee Hybrid 1.7.2 版及更高版本提供支持

(7) Apigee Hybrid 1.6 版和 1.5 版均已过官方公布的服务终止 (EOL) 日期。1.6.x 和 1.5.x 版的定期月度补丁程序将不再提供。这两个版本不再受官方支持,但存在可以继续获得支持的明确的官方例外情况的客户除外。其他客户必须升级

关联集群简介

对于 Apigee Hybrid 1.7.x 版及更早版本,如果您要在 Elastic Kubernetes Service (EKS)、Azure Kubernetes Service (AKS) 或其他受支持的第三方 Kubernetes 服务提供商的多云环境中运行 Apigee Hybrid,则必须使用 Anthos 关联的集群。集群关联使 Google 可以衡量 Anthos Service Mesh (ASM) 的使用情况。注册第三方集群是可选选项。仅当您希望在 Google Cloud 控制台中查看关联集群时才应注册。如需了解详情,请参阅将第三方 Kubernetes 集群关联到 Google Cloud

对于 Apigee Hybrid 1.8.x 版,如果您要将 Anthos Service Mesh 用于入站流量网关,则 Anthos 关联的集群是必需的。如果您使用的是 Apigee 入站流量网关,则 Anthos 关联的集群是可选的。

支持的版本

对 Apigee Hybrid 的支持遵循运行时平面版本支持政策。 该政策声明 Apigee Hybrid 次要版本从原始版本开始最多支持九个月。

下表显示了支持的 Apigee Hybrid 版本和版本的计划服务终止 (EOL) 日期。

版本 发布日期 计划服务终止 (EOL) 日期
1.8 2022-08-17 2023-05-17
1.7 2022-04-18 2023-01-18
*扩展支持

如果您使用的是不受支持的 Apigee Hybrid 版本,则必须升级到受支持的版本。如需了解如何升级,请参阅升级 Apigee Hybrid

下表显示了不受支持的 Apigee Hybrid 版本及其服务终止 (EOL) 日期。

版本 发布日期 服务终止 (EOL) 日期
1.6 2021-09-13 2022-09-13 *,7
1.5 2021-06-18 2022-06-18 *,7
1.4 2020-12-17 2021-09-17
1.3 2020-07-30 2021-04-30
1.2 2020-04-30 2021-01-30
1.1 2020 年 1 月 27 日 2020-10-27